<%
/**
 * An admin include file that allows the administrator to check
 * movies back into the database.
 *
 * @Author  - Kyle McIntyre
 * @Version - 6.4.05
 */
 %>
 
 <%
     String query = "";
     String login   = request.getParameter("login");
     String user_id = request.getParameter("user_id");

     // Handle possible form submission
     if ((login != null && !login.equals("")) || (user_id != null && !user_id.equals("")))
     {
        // If the admin specified a login, find the corresonding user_id.
        if (user_id == null || user_id.equals(""))
	{
	    // Resort to using the login
            query = "SELECT user_id FROM users WHERE login = '" + login + "';";
	    ResultSet result = db.query(query);
	    result.next();
	    user_id = result.getString("user_id");
	}

        // Process the form submission.
	String product_id = request.getParameter("product_id");
	if (product_id != null && !product_id.equals(""))
	{
	    boolean failed = false;
	    // Update the products table
	    query = "SELECT in_stock FROM products WHERE product_id = '" + 
	            product_id + "';";
            ResultSet result = db.query(query);

	    if (result.next())
            {
                int in_stock = result.getInt("in_stock");

	        // Create a new order
	        query = "UPDATE orders SET returned = '1' WHERE product_id = '" +
	                product_id +  "' AND user_id = '" +
		        user_id + "' AND returned = '0';";

                if (db.update(query) < 1)
	            failed = true;

                if (!failed)
                {
                    // Update products database
	            in_stock++;
	            query = "UPDATE products SET in_stock = '" + in_stock + "' " +
	                    "WHERE product_id = '" + product_id + "';";

                    if (db.update(query) < 1)
	                failed = true;
                }

	        if (failed)
	            out.println("Check-In failed. Check your user and product values.<br />");
                else
	            out.println("Product checked in successfully.<br />");

                if (request.getParameter("return") != null)
                {
                    // Return the administrator to his or her former location
                    response.sendRedirect(response.encodeRedirectURL(request.getParameter("return")));
                }
             }
             else
                 out.println("Internal Error.<br />"); 
	}
	else
	    out.println("You must specify the product's id number.<br />");
	out.println("<br />");
     }
 %>
 
Here you can check movies back in once they have been returned by the 
customer. You may specify the customer using his user_id or login, but the 
returned product must be specified using its product_id.
<br />
<br />

<form action="store_manager.jsp?action=check_in" method="post">
  <table>
    <tr>
      <td>Customer Login:</td>
      <td><input type="text" name="login" /></td>
    </tr>
    <tr>
      <td>Customer ID:</td>
      <td><input type="text" name="user_id" /></td>
    </tr>
    <tr>
      <td>Product ID:</td>
      <td><input type="text" name="product_id" /></td>
    </tr>
  </table>
  <br />
  <input type="submit" value="Check-In" />
</form>
 
