<%
/**
 * An admin include file for adjusting store prices and adding
 * new price categories. 
 *
 * @Author  - Kyle McIntyre
 * @Version - 6.3.05
 */
%>

Here you can modify existing fees, or you can add new fee types that can be 
applied to the products database. Changes take effect immediately. 
<br />
<br />

<%
    String query = "";

    // Handle fee modifications
    if (request.getParameter("submit1") != null)
    {
        Enumeration enum = request.getParameterNames();
	while (enum.hasMoreElements())
	{
	    String name  = (String)enum.nextElement();
	    if (!name.equals("action") && !name.equals("submit1"))
	    {
	        String value = request.getParameter(name);
	        if (value == null)
	            out.println(name + " not updated.<br />");
	        else
	        {
	            // Process the changes
		    query = "UPDATE fees SET fee_value = '" + value + "' " + 
		            "WHERE fee_name = '" + name + "';";
	            if (db.update(query) > 0)
		        out.println(name + " updated successfully. <br />");
                    else 
		        out.println("Update of " + name + " failed. <br />");
                }
            }
	}
    }
    
    // Handle new fees
    if (request.getParameter("submit2") != null)
    {
        String name  = request.getParameter("fee_name");
	String value = request.getParameter("fee_value");
	
	if (name != null && value != null)
	{
	    // Insert the new fee
	    query = "INSERT INTO fees(fee_name, fee_value) " +
	            "VALUES('" + name + "', '" + value + "');";
	    if (db.update(query) > 0)
	        out.println("Fee added succesfully. <br />");
	    else
	        out.println("Fee addition failed. <br />");
	}
	else
	    out.println("Complete all fields when adding new fees. <br />");
    }
    
%>

<form action="store_manager.jsp?action=prices" method="post">
  <b>Modify Fees:</b>
  <table width="80%">
<%
    query = "SELECT * FROM fees;";
    ResultSet result = db.query(query);
    
    while (result.next())
    {
        String fee_name  = result.getString("fee_name");
	float  fee_value = result.getFloat("fee_value");
%>
    <tr>
      <td>
        <%= fee_name %>:
      </td>
      <td>
      	$<input name="<%= fee_name %>" type="text" value="<%= nf.format(fee_value) %>" \>
      </td>
    </tr>
<%
    }
%>
  </table>
<input name="submit1" type="submit" value="Submit" />
</form>

<br />

<form action="store_manager.jsp?action=prices" method="post">
  <b>Add Fees</b>
  <br />
  Fee Name: 
  <input name="fee_name" type="text" />
  &nbsp;&nbsp;&nbsp;
  Fee Value:
  <input name="fee_value" type="text" />
  <input name="submit2" type="submit" value="Add Fee" />
</form>

