<%
/**
 * A file that allows a user to add items to his or her cart.
 * Users are then returned to the referring document. 
 *
 * @Author  - Kyle McIntyre
 * @Version - 6.1.05
 */
%>

<jsp:useBean id="user" class="mcintyr.edu.montana.cs.esus.User" scope="session" />

<%@ page import="java.util.Enumeration" %>

<%
    /**
     * The shopping cart is simulated by attaching a "cart" value to the 
     * user bean and using commas to delimet the various items that the user
     * has requested to eventually buy, denoted by their product_id's.
     * The cart information is lost when the user's session ends.
     */

    String cart = user.getValue("cart");
    if (request.getParameter("product_id") != null)
    {
        cart += request.getParameter("product_id") + ","; 
    }
    user.setValue("cart", cart);

    // Redirect the user back to their last location. 
    request.setAttribute("return_address", request.getHeader("referer"));
%>

<%@ include file="/movies/include/redirect.jsp" %>