<%
/**
 * A file that allows users of various types to login.
 *
 * @Author  - Kyle McIntyre
 * @Version - 5.23.05
 */
%>

<%@ page import="java.sql.ResultSet"          %>
<%@ page import="java.sql.ResultSetMetaData"  %>
<%@ page import="java.security.MessageDigest" %>
<%@ page import="sun.misc.BASE64Encoder"      %>


<jsp:useBean id="util" class="mcintyr.edu.montana.cs.esus.Utilities"          scope="session" />
<jsp:useBean id="db"   class="mcintyr.edu.montana.cs.esus.DatabaseConnection" scope="session" />
<jsp:useBean id="user" class="mcintyr.edu.montana.cs.esus.User"               scope="session" />

<%@ include file="/movies/include/header.tpl"     %>
<%@ include file="/movies/include/navigation.jsp" %> 

<%
    // Check for and handle form submissions
    String login    = request.getParameter("login");
    String password = request.getParameter("password");
   
    if ((login != null) && (password != null))
    {
         // Encrypt the password
         MessageDigest md = MessageDigest.getInstance("MD5");
         md.update(password.getBytes("UTF8"));
         password =  new BASE64Encoder().encode(md.digest());

        // Query database to validate account
        String query = "SELECT * FROM users WHERE login = '" + login + "'";
        ResultSet result = db.query(query);

        if (result.next())
        {
            // Compare passwords in their encrypted form. 
            if (password.equals(result.getString("password")))
            {
                user.setValue("login", login);
                util.updateUser(user);
            
                //Redirect them to the appropriate index.
	        %><%@ include file="/movies/include/redirect.jsp" %><%
            }
            else
                out.println("Password incorrect. Login failed.<br /><br />");
        }
        else
            out.println("Invalid login. <br /><br />");
    }

    if (user.getValue("user_type").equals("guest"))
    {
        %>   
            Welcome to McMovies! Please enter your login and password below 
            to view your account status and begin checking out movies!
            <br />
            <form action="login.jsp" method="POST">
              <table>
                <tr>
                  <td>Username:</td>
                  <td><input name="login" type="text" length="15" /></td>
                </tr>
                <tr>
                  <td>Password:</td>
                  <td><input name="password" type="password" length="15" /></td>
                </tr>
              </table>
              <input name="submit" type="submit" value="Login" />
            </form>
        <%
 
    }
    else 
    {
        out.println("You are already registered and logged in. If you are not , please follow the Logout link. <br /><br />");
    }
%>

<%@ include file="/movies/include/footer.tpl" %>

