<%
/**
 * An admin include file that lists product information.
 *
 * @Author  - Kyle McIntyre
 * @Version - 6.3.05
 */
%>

<%
    // Extract or set the index and number of results to return. 
    String index  = request.getParameter("index");
    String number = request.getParameter("number");

    if (index  == null || !index.matches("\\d*"))
        index  = DEFAULT_INDEX;
    if (number == null || !number.matches("\\d*"))
        number = DEFAULT_NUMBER;

    // Load in the corresponding users table
    query  = "SELECT product_id, title, type, date, quantity, in_stock, rentals, fee_type FROM products WHERE product_id >= " + index + " AND product_id < (" + index + " + " + number + ");";
    result = db.query(query);
    ResultSetMetaData rsmd = result.getMetaData(); 

    // Allow for specification of product index and number of results.       
%>

    <form action="product_manager.jsp?action=view" method="POST">
      Return 
      <input type="text" name="number" size="4" value="<%= number %>" /> products, starting at product_id
      <input type="text" name="index" size="4" value="<%= index %>" />  
      <input type="submit" value="List" />
      <br />
    </form>

<%
    out.println("<table border=\"1\">");
        
    // Label the columns
    out.println("<tr>");
    out.println("<th></th>");
    for (int i = 1; i <= rsmd.getColumnCount(); i++)
         out.println("<th><font size=\"1\">" + rsmd.getColumnLabel(i) + "</font></th>");
    out.println("</tr>");

    // Drop the product table to output
    while (result.next())
    {
        out.println("<tr>");
        out.println("<td><a href=\"/movies/admin/product_manager.jsp?action=modify&edit_id=" + result.getString("product_id") + "\">Edit</a>");
        for (int i = 1; i <= rsmd.getColumnCount(); i++)
            out.println("<td><font size=\"1\">" + result.getObject(i) + "</font></td>");
        out.println("</tr>");   
    }
    out.println("</table>");
%>