<%
/**
 * An admin include file that facilitates user listings.
 *
 * @Author  - Kyle McIntyre
 * @Version - 6.3.05
 */
%>

<%
    // Extract or set user index and number of results.  
    String index  = request.getParameter("index");
    String number = request.getParameter("number");

    if (index  == null || !index.matches("\\d*"))
        index  = DEFAULT_INDEX;
    if (number == null || !number.matches("\\d*"))
        number = DEFAULT_NUMBER;

    // Load in the users table
    String query           = "SELECT user_id, login, user_type, first, last, " +
                             "email, address, city, state, zip, phone " +
			     "FROM users WHERE user_id > '" + index + "' OR user_id = '" + index + "' LIMIT " + number + ";";
			     
    ResultSet result       = db.query(query);
    ResultSetMetaData rsmd = result.getMetaData();

    // Allow the admin to specify a user index and the number of results. 
%>
  
    <form action="user_manager.jsp?action=view" method="POST">
      Return 
      <input type="text" name="number" size="4" value="<%= number %>" /> accounts, starting at user_id 
      <input type="text" name="index" size="4" value="<%= index %>" />  
      <input type="submit" value="List" />
      <br />
    </form>

<%
    out.println("<table border=\"1\">");
        
    // Label the columns
    out.println("<tr>");
    out.println("<td></td>");
    for (int i = 1; i <= rsmd.getColumnCount(); i++)
    	out.println("<th><font size=\"1\">" + rsmd.getColumnLabel(i) + "</font></th>");
    out.println("</tr>");

    // Drop the users table to output
    while (result.next())
    {
        out.println("<tr>");
        out.println("<td><a href=\"/movies/admin/user_manager.jsp?action=modify&edit_id=" + result.getString("user_id") + "\">Edit</a>");
        for (int i = 1; i <= rsmd.getColumnCount(); i++)
            out.println("<td><font size=\"1\">" + result.getObject(i) + "</font></td>");
        out.println("</tr>");   
    }
    out.println("</table>");
%>