package mcintyr.edu.montana.cs.esus;

/**
 * A class for storing key/value pairs.
 *
 * @Author  - Kyle McIntyre
 * @Version - 5.26.05
 */

public class Pair
{
    private String key;
    private String value;

    /**
     * Constructor for a Pair object. Accepts both
     * the key and value as String parameters.
     *
     * @param key   - The pair's associated key.
     * @param value - The pair's associated value. 
     */

    public Pair(String key, String value)
    {
        this.key   = key;
        this.value = value;
    }

    public String getKey()
    {
        return key;
    }

    public String getValue()
    {
        return value; 
    }

    public void setValue(String value)
    {
        this.value = value; 
    }
}