<%
/**
 * A file for displaying the appropriate
 * navigation links to the appropriate users.
 *
 * @Author  - Kyle McIntyre
 * @Version - 5.24.05
 */
%>

<%
    // Display various links depending on user's status. 
    if (user.getValue("user_type").equals("guest"))
    {
        // Display links appropriate for guests
        %>
            <a href="/movies/common/list.jsp">View Products</a> | <a href="/movies/common/list.jsp?latest=true">Latest Releases</a> | <a href="/movies/common/search.jsp">Search</a> | <a href="/movies/enduser/checkout.jsp">Check-Out</a> | <a href="/movies/public/login.jsp">Login</a> | <a href="/movies/public/register.jsp">Register</a>
        <%
    }
    else
    {
        // Display links appropriate for logged-in customers
        %>
            <a href="/movies/common/list.jsp">View Products</a> | <a href=/movies/common/list.jsp?latest=true">Latest Releases</a> | <a href="/movies/common/search.jsp">Search</a> | <a href="/movies/enduser/checkout.jsp">Check-Out</a> | <a href="/movies/enduser/account.jsp">Your Account</a> | <a href="/movies/common/logout.jsp">Logout</a>
        <%
    }

    if (user.getValue("user_type").equals("admin"))
    {
        // Display links appropriate for administrators 
        %>
            <hr />
            <b>Administration Panel</b>: <a href="/movies/admin/store_manager.jsp">Manage Store</a> | <a href="/movies/admin/order_manager.jsp">Manage Orders</a> | <a href="/movies/admin/user_manager.jsp">Manage Users</a> | <a href="/movies/admin/product_manager.jsp">Manage Products</a>
        <%
    }


 %>
<hr />
<br />
